Bug 61067 - mkfs.minix can't make minix v2 filesystems
Summary: mkfs.minix can't make minix v2 filesystems
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: util-linux (Show other bugs)
(Show other bugs)
Version: 7.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Elliot Lee
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-03-12 23:14 UTC by Matthew Kirkwood
Modified: 2007-04-18 16:40 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-18 09:52:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Matthew Kirkwood 2002-03-12 23:14:09 UTC
mkfs.minix was not compiled with minix v2 support.
Run "mkfs.minix -v /dev/sdb6" (well, probably wiser not to), and
you will receive "mkfs.minix: not compiled with minix v2 support".

The mkfs.minix from debian testing can make v2 filesystems which
the (well, my 2.5.6) kernel is happy to mount.

It appears that fsck.minix doesn't understand v2 either.  Given a
v2 filesystem, it complains "fsck.minix: bad magic number in super-block"

Comment 1 Elliot Lee 2002-03-27 19:01:03 UTC
Can you try the package in Skipjack or rawhide?

As far as I can tell, HAVE_MINIX2 should be working fine there.



Comment 2 Matthew Kirkwood 2002-04-18 09:52:41 UTC
Sorry for the delay, it does seem fine in Skipjack.

Thanks a lot.


Note You need to log in before you can comment on or make changes to this bug.